/* =====================
  SECTION: 
  ====================== */

.inner__title {
  font-size: var(--fs-title);
  font-weight: 800;
  position: relative;
  display: flex;
  align-items: center;
  gap: 10px;
}

.inner__title i {
  display: flex;
  align-items: center;
  font-size: var(--fs-small-banner);
  justify-content: center;
  padding: 8px;
  background: hsl(from var(--primary-hsl) h s calc(l + 80));
  border-radius: 8px;
}
.inner__title img {
  display: flex;
  align-items: center;
  font-size: var(--fs-small-banner);
  justify-content: center;
  padding: 8px;
  background: hsl(from var(--primary-hsl) h s calc(l + 80));
  border-radius: 8px;
}

.inner__title.blue i {
  background: #dbeafe;
  color: #1d4ed8;
}
.inner__title.blue img {
  background: #dbeafe !important;
}

.inner__title.green i {
  background: #dcfce7;
  color: #15803d;
}
.inner__title.green img {
  background: #dcfce7;
  color: #15803d;
}

.inner__title.orange i {
  background: #fef3c7;
  color: #b45309;
}

/*  */
.list__item {
  display: flex;
  gap: 15px;
  padding: 1rem;
  border-radius: 10px;
  border: 1px solid rgba(var(--primary-color-rgb), 0.1);
  transition: all 0.3s linear;
  height: 100%;
}

.list__item:hover {
  border: 1px solid rgba(var(--primary-color-rgb), 0.3);
}

.list__item i {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 8px;
  background: hsl(from var(--primary-hsl) h s calc(l + 70));
  color: var(--primary-color);
  border-radius: 50%;
}

/* =====================
  SECTION: Hero
  ====================== */
.hero {
  position: relative;

  background: url("../images/bg/hero1.webp");
  background-position: center;
  background-size: cover;
  margin: 0 25px;
  border-radius: 25px;
}

/* =====================
  SECTION: About
  ====================== */
.abt_card {
  text-align: center;
}

.abt_card:hover {
  box-shadow:
    0 15px 50px -30px rgba(24, 24, 24, 0.4),
    40px 0 30px rgba(24, 24, 24, 0.1);
  transform: perspective(600px) rotateY(-5deg) scale(1.05) translate(-2%, 0);
  transform-origin: center;
  transition:
    transform 0.4s ease,
    box-shadow 0.4s ease;
}

.card1 {
  background: var(--accent-color);
}

.filter {
  filter: invert(16%) sepia(17%) saturate(2059%) hue-rotate(54deg)
    brightness(97%) contrast(88%);
}

.card2 {
  background-image: linear-gradient(180deg, #d4eeb1 0%, #d7edcb 100%);
}

.card3 {
  background-image: linear-gradient(180deg, #fbf8ad 0%, #e7f5d2 100%);
}

/* =====================
  SECTION: Team
  ====================== */
.team {
  background-color: transparent;
  background-image: linear-gradient(180deg, #d4eeb1 0%, #d7edcb 100%);
}

.team_card {
  text-align: center;
  position: relative;
  /* important */
  margin: auto;
}

.team_card img {
  width: 160px;
  border-radius: 50%;
  text-align: center;
  position: relative;
  z-index: 1;
}

.team_img {
  border: 5px solid #fff;
}

.team_card h5 {
  padding-top: 10px;
  margin-bottom: 0;
}

.team_icon {
  position: absolute;
  top: 30%;
  right: 24%;
  transform: translate(50%, -50%);
  height: 50px;
  width: 50px;
  border: 3px solid #fff;
  border-radius: 50%;
  z-index: 2;
  /* make sure it's above image */
  background: var(--secondary-color);
  /* optional for better visibility */
}

.team_icon img {
  padding: 5px;
}

/* =====================
  SECTION: Feature
  ====================== */
.feature {
  background: var(--primary-hsl);
  color: var(--accent-color);
  position: relative;
  z-index: 1;
}

.feature::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: url("../images/featured/event-feature.jpg");
  background-position: center;
  background-size: cover;
  z-index: -1;
  opacity: 0.1;
}

.feature_card {
  text-align: center;
  border: 1px solid var(--secondary-color);
  padding: 25px 0px;
  margin-top: 20px;
  background: #ffffff1c;
  transition: all 0.3s linear;
}

.feature_card:hover {
  transform: translateY(-8px);
}

.feature_card img {
  border-radius: 10px;
  width: 250px;
}

.feature_card h5 {
  padding: 10px 0px;
}

/* =====================
  SECTION: Mission 
  ====================== */
.mission_vission {
  background: #fff;
  color: var(--primary-color);
  border-radius: 20px;
  text-align: center;
}

.mission_vission p {
  color: #000 !important;
}

.miss_viss_icon {
  background: url("../images/icons/hospital.png");
  background-position: center;
  background-repeat: no-repeat;
  filter: invert(64%) sepia(85%) saturate(519%) hue-rotate(11deg)
    brightness(109%) contrast(103%);
}

/* =====================
  SECTION: Services
  ====================== */
.service-box {
  position: relative;
  overflow: hidden;
  border-radius: 1rem;
  margin-inline: 0.5rem;
  transition: all 1s ease;
}

.service-box .card-body {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding-block-start: 3rem;
  background: linear-gradient(0deg, #eddc4c, transparent);
}

.service-box .card img {
  overflow: hidden;
  transition: transform 1s ease;
}

.service-box .card-body .card-title {
  color: var(--primary-color);
}

.service-box:hover {
  filter: grayscale(1);
}

.service-box:hover .card-body .card-title {
  color: #ffff;
}

.service-box:hover .card img {
  transform: scale(1.1);
}

/* =====================
  SECTION: We_work
  ====================== */
.we_work {
  background: url("../images/bg/world-map.png");
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}

.work_detils {
  background: #223c13e0;
  background-image: url("../images/abstract/bottom_shape.png");
  background-position: bottom right;
  background-repeat: no-repeat;
  clip-path: polygon(0 1%, 100% 0%, 87% 100%, 0% 100%);
  color: var(--accent-color);
  padding-left: 30px;
  padding-right: 80px;
  margin-right: 30px;
}

/* =====================
  SECTION: Partner
  ====================== */

.partner_slider .slick-slide {
  margin: 0px 15px !important;
}

.partner_slider .slick-slide img {
  display: block;
  border-radius: 10px;
  border: 1px solid #bebbaa;
  border-bottom: 3px solid #bebbaa;
}

/*   */

.list-items li {
  display: flex;
  align-items: flex-start;
  padding: 0.1rem 0;
  gap: 8px;
}

.liktowrk img {
  border-radius: 10px;
}

.work {
  background:
    linear-gradient(90deg, #fbf8ad 0%, #dbf0bc 100%),
    url("../images/abstract/bottom_shape.png");

  background-position: bottom left;
  background-repeat: no-repeat;
  padding-bottom: 110px !important;
  position: relative;
  z-index: 1;
  overflow: hidden;
}

.banner-shape {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto;
  z-index: -1;
}

/* =====================
  SECTION: SERVICES
  ====================== */

.service__img {
  position: relative;
  overflow: hidden;
  z-index: 1;
  height: 16rem;
  border-radius: 1rem 1rem 0 0;
}

.service__img img {
  transition-duration: 700ms;
  transition-property: transform;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  object-fit: cover;
  width: 100%;
  max-width: 100%;
  height: 100%;
  display: block;
  vertical-align: middle;
}

.service__img__overlay {
  position: absolute;
  right: 1rem;
  left: 1rem;
  bottom: 1rem;
  display: flex;
  align-items: center;
  gap: 1rem;
  z-index: 2;
}

.service__icon {
  padding: 0.75rem;
  background-color: rgb(255 255 255 / 0.2);
  backdrop-filter: blur(10px);
  border-radius: 10px;
}

.service__title {
  font-size: var(--fs-caption);
  font-weight: 600;
  font-family: var(--heading-font);
  color: var(--bs-white);
}

.service__img__overlay img {
  width: 30px;
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(327deg)
    brightness(103%) contrast(101%);
}

.overlay {
  position: absolute;
  content: "";
  inset: 0;
  background: linear-gradient(to top, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0));
  z-index: 1;
}

.service__details {
  background: aliceblue;
  border-radius: 0 0 1rem 1rem;
}

.service__text {
  padding: 1rem 1rem 0 1rem;
  text-align: justify;
  display: -webkit-box;
  line-clamp: 3;
  -webkit-line-clamp: 3;
  /* show only 3 lines */
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.service__text.active {
  -webkit-line-clamp: unset;
  overflow: visible;
}

.toggle-btn {
  padding: 0;
  margin: 1rem;
  background: none;
  border: none;
  color: #007bff;
  cursor: pointer;
  font-weight: 600;
}

/* =====================
  SECTION: COUNTDOWN
  ====================== */
#countdown {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1.5rem;
  width: 100%;
  justify-items: center;
}

#countdown .time-wrapper {
  text-align: center;
  padding: 15px;
  background: var(--secondary-color);
  border-radius: 1rem;
  backdrop-filter: blur(10px);
  border: solid 1px rgba(255, 255, 255, 0.3);
  transition: 0.2s ease-in-out;
  width: 100%;
  max-width: 150px;
}

#countdown .time-wrapper:hover {
  border-color: var(--accent-color);
}

#countdown .time {
  font-size: var(--fs-small-banner);
  color: var(--bs-dark);
  font-weight: 600;
}

#countdown .text {
  font-size: var(--fs-lead);
  color: var(--bs-dark);
  font-weight: 600;
}

/* =====================
  UTILITIES : ABSTRACT
====================== */

.form-section {
  margin: 0 auto;
  /* overflow: hidden; */
  padding: 3em 3em 3em;
  background: #ffffff;
  box-shadow: 0px 4px 42px -14px rgba(var(--primary-color-rgb), 0.25);
  border-radius: 30px;
  text-align: left;
  position: relative;
}

.form-section::before {
  position: absolute;
  content: "";
  top: -56px;
  left: -61px;
  width: 130px;
  height: 130px;
  background: rgba(var(--primary-color-rgb), 0.25);
  border-radius: 100%;
  z-index: -1;
}

.form-section::after {
  position: absolute;
  content: "";
  bottom: -56px;
  right: -61px;
  width: 150px;
  height: 150px;
  background: rgba(var(--primary-color-rgb), 0.25);
  border-radius: 100%;
  z-index: -1;
}

.form-section .form-control:focus {
  border-color: var(--primary-color);
  box-shadow: 0 0 0 0.25rem rgba(var(--primary-color-rgb), 0.25);
}

/* =====================
  INNER PAGE
====================== */
.image-box {
  display: flex;
  column-gap: 0.5rem;
  align-items: end;
  position: relative;
  padding: 1rem;
}

.image-box:has(img)::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 85%;
  bottom: 0;
  left: 0%;
  background: #223c1314;
  z-index: -1;
}

.image-box img {
  width: 40%;
  border: 2px solid #fff;
  box-shadow: 0 2px 10px rgb(0 0 0 / 15%);
}
.image-box .image-title {
  font-size: 1.25rem;
  font-weight: 500;
}
.cards {
  padding: 25px;
  background:
    linear-gradient(#ffffff, #ffffff) padding-box,
    linear-gradient(145deg, transparent 35%, #223c13, #223c13) border-box;
  border: 2px solid transparent;
  border-radius: 8px;
}
.cards span {
  font-style: italic;
  color: #666;
  display: block;
  font-size: 0.825rem;
}
.card-body a {
  text-decoration: none;
}
.card_head {
  padding: 10px;
}

/* =====================
  UTILITIES : SLICK
====================== */

.my-slider-section {
  width: 90%;
  margin: 40px auto;
}

.my-slider img {
  width: 100%;
  border-radius: 10px;
  display: block;
}

.my-slider .slick-slide {
  margin: 0 15px;
}

.my-slider .slick-list {
  margin: 0 -15px;
}

.slick-slide img {
  margin: auto;
}

.slick-prev {
  left: 48% !important;
}

.slick-next {
  right: 48% !important;
}

.slick-prev,
.slick-next {
  width: 40px;
  height: 40px;
  background: #000;
  border-radius: 50%;
  display: flex !important;
  justify-content: center;
  align-items: center;
  z-index: 10;
  bottom: -34px !important;
  top: inherit !important;
}

.slick-prev:before,
.slick-next:before {
  color: var(--primary-color) !important;
  font-size: 1.5rem !important;
}

.slick-dots {
  bottom: -40px;
}

.slick-dots li button:before {
  font-size: 12px;
  color: #bbb;
  opacity: 1;
}

.slick-dots li.slick-active button:before {
  color: #000;
}

/* =====================
    UTILITIES : COUNTER
    ====================== */

.counter__info {
  position: relative;
  z-index: 5;
  text-align: center;
  overflow: hidden;
}

.counter__info::before {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  inset: 0;
  background-image: linear-gradient(180deg, #fbf8ad 0%, #e7f5d2 100%);
  filter: blur(40px);
  z-index: -1;
}

.counter__section .section__subtitle {
  background: rgba(255 220 220 / 0.8);
}

.lead {
  font-size: 16px;
  font-weight: 500;
}



/* =====================
  UTILITIES: SCROLL TOP
====================== */
.scrollToTop {
  position: fixed;
  bottom: 4rem;
  right: 1rem;
  background-color: rgba(var(--secondary-color-rgb), 0.5);
  color: var(--bs-light);
  border: none;
  border-radius: 50%;
  padding: 1rem;
  line-height: 1;
  z-index: -1;
  transform: translateY(1rem);
  opacity: 0;
  transition: 500ms ease-in-out 150ms;
}

.scrollToTop.show {
  z-index: 1111;
  transform: translateY(0);
  opacity: 1;
}

/* =====================
    RESPONSIVE : DESKTOP
    ====================== */

@media only screen and (min-width: 1025px) {
}

/* =====================
    RESPONSIVE : TABLET
    ====================== */

@media only screen and (max-width: 1024px) {
  .menu__bar .navbar {
    z-index: 1111;
    
    background: none;
  }

  .menu__bar .navbar .navbar-toggler {
    background: var(--secondary-color);
  }

  .offcanvas-body {
    background: var(--primary-color);
  }

  .menu__bar .nav-link {
    color: var(--bs-light);
  }

  #countdown {
    grid-template-columns: repeat(2, 1fr);
  }

  .cursor,
  .cursor2 {
    display: none;
  }
}

/* =====================
  RESPONSIVE : ANIMATIONS
====================== */

.a__box {
  animation: translate ease-in-out;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

@keyframes translate {
  from {
    opacity: 0;
    transform: translate(-100px);
  }

  to {
    opacity: 1;
    transform: translate(0px);
  }
}

.a__box {
  animation: scale ease-in-out;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

@keyframes scale {
  from {
    opacity: 0;
    scale: 0.5;
  }

  to {
    opacity: 1;
    scale: 1;
  }
}

/* =====================
  RESPONSIVE : MOBILE
====================== */

@media only screen and (max-width: 576px) {
  .breadcrumb__sc .breadcrumb {
    width: 90%;
  }

  .updates {
    flex-direction: column;
  }

  .updates > * {
    width: 100%;
  }

  .hero {
    margin: 12px;
  }

  .text-banner {
    font-size: 45px;
  }

  .work {
    padding-bottom: 15px !important;
  }

  .banner-shape {
    bottom: -2px !important;
  }

  .work_detils {
    margin-right: 10px !important;
  }
  .image-box {
    display: inherit !important;
  }
  .image-box img{
    width: 60%;
  }

}

@media only screen and (min-width: 1280px) {
  .banner-shape {
    display: none !important;
  }

  .work {
    padding-bottom: 0px !important;
  }

  .footer__container {
    padding-top: 30px !important;
  }
}

/*  */

.teams-card {
  border-radius: 500px 500px 10px 10px;
  border: 1px solid rgba(18, 18, 18, 0.1);
  background: #f9f9f9;
  padding: 10px;
  transition: all 0.45s;
  height: 100%;
  place-content: center;
}

.teams-card:hover {
  border-radius: 10px;
}

.teams-card .card-img-wrap {
  mask-image: url(../images/abstract/card.png);
  mask-size: cover;
  mask-repeat: no-repeat;
  background-image: url(../images/abstract/card.png);
  background-size: cover;
  background-repeat: no-repeat;
  display: block;
  position: relative;
}

.teams-card .card-img-wrap .card-img {
  position: relative;
  overflow: hidden;
  transition: all 0.5s ease-out;
}

.teams-card .card-img-wrap .card-img img {
  width: 100%;
  height: auto;
}

.teams-card .card-img-wrap .card-img::after {
  position: absolute;
  width: 200%;
  height: 0%;
  left: 50%;
  top: 50%;
  background-color: rgba(255, 255, 255, 0.3);
  transform: translate(-50%, -50%) rotate(-45deg);
  content: "";
}

.teams-card .card-content {
  padding-top: 20px;
  text-align: center;
  line-height: 1;
}

/*  */

.sec-subtitle {
  position: relative;
  color: #fff;
  font-weight: 700;
  font-family: var(--body-font);
  font-size: var(--fs-small-banner);
  display: inline-block;
  padding: 5px 20px;
  background: var(--primary-color);
  border-radius: 1rem;
  line-height: 1;
  margin-bottom: 2rem;
}

.sec-subtitle::before,
.sec-subtitle::after {
  position: absolute;
  content: "";
  height: 2px;
  width: 5vw;
  top: 50%;
  background: var(--primary-color);
}

.sec-subtitle::after {
  left: -5vw;
}

.sec-subtitle::before {
  right: -5vw;
}
